中危 netfilter:flowtable:验证 pppoe 标头 (CVE-2024-27016)

CVE编号

CVE-2024-27016

利用情况

暂无

补丁情况

官方补丁

披露时间

2024-05-01
漏洞描述
In the Linux kernel, the following vulnerability has been resolved:

netfilter: flowtable: validate pppoe header

Ensure there is sufficient room to access the protocol field of the
PPPoe header. Validate it once before the flowtable lookup, then use a
helper function to access protocol field.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 debian_10 linux * Up to
(excluding)
4.19.304-1
运行在以下环境
系统 debian_11 linux * Up to
(excluding)
5.10.209-2
运行在以下环境
系统 fedoraproject fedora 38 -
运行在以下环境
系统 fedoraproject fedora 39 -
运行在以下环境
系统 fedoraproject fedora 40 -
运行在以下环境
系统 fedora_38 kernel * Up to
(excluding)
6.8.8-100.fc38
运行在以下环境
系统 fedora_39 kernel * Up to
(excluding)
6.8.8-200.fc39
运行在以下环境
系统 fedora_40 kernel * Up to
(excluding)
6.8.8-300.fc40
运行在以下环境
系统 linux linux_kernel * From
(including)
5.13
Up to
(excluding)
5.15.157
运行在以下环境
系统 linux linux_kernel * From
(including)
5.16
Up to
(excluding)
6.1.88
运行在以下环境
系统 linux linux_kernel * From
(including)
6.2
Up to
(excluding)
6.6.29
运行在以下环境
系统 linux linux_kernel * From
(including)
6.7
Up to
(excluding)
6.8.8
运行在以下环境
系统 linux linux_kernel 6.9 -
阿里云评分
5.0
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    管控权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
NVD-CWE-noinfo
阿里云安全产品覆盖情况